# List disputes List disputes for a profile with optional filters. Endpoint: GET /v3/spend/profiles/{profileId}/disputes Security: UserToken ## Path parameters: - `profileId` (integer, required) Your profile ID. Example: 16605997 ## Query parameters: - `status` (string) Filter by dispute status. Enum: "ACTIVE", "CLOSED" - `transactionId` (integer) Filter by card transaction ID. Example: 2040 - `pageSize` (integer) The maximum number of disputes to return per page. Between 10 and 100, defaults to 10. Example: 10 - `pageNumber` (integer) The page number to retrieve. Must be at least 1, defaults to 1. Example: 1 ## Response 200 fields (application/json): - `totalCount` (integer) Total number of disputes matching the filters. Example: 2 - `disputes` (array) - `disputes.id` (string) Unique identifier of the dispute. Example: "b4eae16c-b3a9-4327-b0bd-6a2ad430d803" - `disputes.transactionId` (integer) Card transaction ID. Example: 476873 - `disputes.profileId` (integer) Profile ID. Example: 14547572 - `disputes.reason` (string) Dispute reason code. Example: "WRONG_AMOUNT" - `disputes.status` (string) Dispute overall status. Enum: "ACTIVE", "CLOSED" - `disputes.subStatus` (string) Dispute detailed status. Enum: "SUBMITTED", "IN_REVIEW", "REFUNDED", "REJECTED", "WITHDRAWN", "CONFIRMED", "REFUND_IN_PROGRESS", "ATTEMPTING_RECOVERY", "RECOVERY_UNSUCCESSFUL" - `disputes.statusMessage` (string) Explanation for subStatus. Example: "Withdrawn" - `disputes.createdAt` (string) Time when the dispute was created. Example: "2024-03-18T03:47:52.493Z" - `disputes.createdBy` (string) Creator of the dispute. Currently set to the user ID. Example: "9867661" - `disputes.lastUpdatedAt` (string) Time when the dispute was last updated. Example: "2024-03-27T02:30:27.374Z" - `disputes.canWithdraw` (boolean) Whether the dispute can be withdrawn.